package com.ruoyi.kaohe.mapper;

import java.util.List;
import com.ruoyi.kaohe.domain.KhVoteItems;

/**
 * 投票项Mapper接口
 * 
 * @author hs
 * @date 2025-06-24
 */
public interface KhVoteItemsMapper 
{
    /**
     * 查询投票项
     * 
     * @param id 投票项主键
     * @return 投票项
     */
    public KhVoteItems selectKhVoteItemsById(Long id);

    /**
     * 查询投票项列表
     * 
     * @param khVoteItems 投票项
     * @return 投票项集合
     */
    public List<KhVoteItems> selectKhVoteItemsList(KhVoteItems khVoteItems);

    /**
     * 新增投票项
     * 
     * @param khVoteItems 投票项
     * @return 结果
     */
    public int insertKhVoteItems(KhVoteItems khVoteItems);

    /**
     * 修改投票项
     * 
     * @param khVoteItems 投票项
     * @return 结果
     */
    public int updateKhVoteItems(KhVoteItems khVoteItems);

    /**
     * 删除投票项
     * 
     * @param id 投票项主键
     * @return 结果
     */
    public int deleteKhVoteItemsById(Long id);

    /**
     * 批量删除投票项
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteKhVoteItemsByIds(Long[] ids);
}
